List Time Logs
curl --request GET \
--url https://api.threadi.au/stopwatch/v1/timelogs \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.threadi.au/stopwatch/v1/timelogs"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.threadi.au/stopwatch/v1/timelogs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"id": 1234567890,
"properties": {
"a552213_record_id": "998877 -- 2026-03-20 04:22:15.536",
"a552213_assoc_obj_type": "contact",
"a552213_toggle": true,
"a552213_assoc_record_id": 9876543210,
"a552213_first_start_date": "2026-02-27T21:24:18.038Z",
"a552213_first_end_date": "2026-02-28T21:24:18.038Z",
"a552213_last_start_date": "2026-02-27T21:24:18.038Z",
"a552213_last_end_date": "2026-02-28T21:24:18.038Z",
"a552213_total_minutes": 1440,
"a552213_total_hours": 24,
"a552213_total_days": 1,
"a552213_total_years": 0.00273785,
"a552213_total_decades": 0.00027379,
"a552213_total_centuries": 0.00002738,
"a552213_num_sessions": 1,
"a552213_week_year": "2026-02-23T00:00:00.000Z",
"a552213_month_year": "2026-02-01T00:00:00.000Z",
"a552213_is_split_week_record": true,
"a552213_is_split_month_record": true,
"a552213_workflow_managed_tag": "example_tag",
"a552213_billable_minutes": 0,
"a552213_billable_hours": 0,
"a552213_billable_days": 0,
"a552213_billable_years": 0,
"a552213_billable_decades": 0,
"a552213_billable_centuries": 0,
"a552213_billable_amount": 0,
"a552213_cost_amount": 0,
"a552213_margin_amount": 0,
"a552213_is_one_time_log_per_session_record": true,
"a552213_category_text": "Meetings",
"a552213_description": "Meeting about Project XYZ",
"a552213_billable_percentage": 0,
"a552213_service_name": "Training",
"a552213_total_hours_auto": 0,
"a552213_total_days_auto": 0,
"a552213_total_years_auto": 0,
"a552213_total_decades_auto": 0,
"a552213_total_centuries_auto": 0,
"a552213_billable_hours_auto": 0,
"a552213_billable_days_auto": 0,
"a552213_billable_years_auto": 0,
"a552213_billable_decades_auto": 0,
"a552213_billable_centuries_auto": 0,
"a552213_billable_rate": 0,
"a552213_cost_rate": 0,
"a552213_billable_amount_auto": 0,
"a552213_cost_amount_auto": 0,
"a552213_margin_amount_auto": 0,
"a552213_title": "Training Session X",
"a552213_created_via_stopwatch_api": "true",
"a552213_last_updated_via_stopwatch_api": "1784160000000"
},
"createdAt": "2026-02-27T21:24:18.038Z",
"updatedAt": "2026-02-28T21:24:18.038Z",
"archived": true
}
],
"paging": {
"next": {
"after": 278240677087,
"link": "https://api.threadi.au/stopwatch/v1/timelogs?limit=1&properties=a552213_first_start_date%2Ca552213_total_years&after=278240677087"
}
}
}{
"error": "Invalid API key"
}{
"error": "API key has been deactivated"
}{
"error": "Daily quota exceeded",
"details": "This API key has reached its UTC daily request limit. Use response header x-stopwatch-ratelimit-reset to know when this quota will reset."
}{
"error": "Internal Server Error",
"details": "An unexpected error occurred."
}{
"error": "Service temporarily busy",
"details": "Unable to process request right now. Please retry shortly."
}API Reference
List Time Logs
Retrieves a list of StopWatch Time Log records. Pagination links are automatically rewritten to point to the StopWatch API.
See HubSpot API documentation for a list of available Query Parameters, including indicating target response properties
GET
/
stopwatch
/
v1
/
timelogs
List Time Logs
Authorizations
Bearer Authorization header of the form Bearer {token}, where {token} is your API key. By default, each API key is rate-limited to 1,000 requests per day (UTC). If you need a higher daily limit, please submit a support request.
⌘I

